﻿using Tuitio.Wrapper.Models;
using Tuitio.Wrapper.Services;
using Microsoft.Extensions.DependencyInjection;

namespace Tuitio.Wrapper
{
    public static class DependencyInjectionExtension
    {
        public static void UseIdentityServices(this IServiceCollection services, string baseAddress)
        {
            services.AddSingleton(new ServiceConfiguration(baseAddress));
            services.AddHttpClient<IIdentityService, IdentityService>();
        }
    }
}
